#ifndef CONFIG_H
#define CONFIG_H

#include <inttypes.h>
#include <Arduino.h>
#include <avr/wdt.h>
#include <EEPROM.h>

struct config_t {
  union {
    struct{
      char ssid[16];
      char pass[16];
      char host[24];
      int port;
    };
    uint8_t bytes[16+16+24];
  };
};

extern config_t config;
void config_init();
void config_save();

#endif